Import and export
Apply an approved portable binding import atomically
Apply an approved portable binding import atomically
curl --request POST \
--url https://api.atlan.com/ontology_binding/v1/imports/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"binding_api_name": "<string>",
"display_name": "<string>",
"document": "<string>",
"ontology_release": {
"manifest_digest": "<string>",
"ontology_id": "<string>",
"release": "<string>",
"release_id": "<string>"
},
"workspace_id": "<string>",
"preview_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
binding_api_name: '<string>',
display_name: '<string>',
document: '<string>',
ontology_release: {
manifest_digest: '<string>',
ontology_id: '<string>',
release: '<string>',
release_id: '<string>'
},
workspace_id: '<string>',
preview_id: '<string>'
})
};
fetch('https://api.atlan.com/ontology_binding/v1/imports/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/ontology_binding/v1/imports/apply"
payload = {
"binding_api_name": "<string>",
"display_name": "<string>",
"document": "<string>",
"ontology_release": {
"manifest_digest": "<string>",
"ontology_id": "<string>",
"release": "<string>",
"release_id": "<string>"
},
"workspace_id": "<string>",
"preview_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"binding_id": "<string>",
"created_count": 1
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "graph_limit_exceeded",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Body
application/json
⌘I
Apply an approved portable binding import atomically
curl --request POST \
--url https://api.atlan.com/ontology_binding/v1/imports/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"binding_api_name": "<string>",
"display_name": "<string>",
"document": "<string>",
"ontology_release": {
"manifest_digest": "<string>",
"ontology_id": "<string>",
"release": "<string>",
"release_id": "<string>"
},
"workspace_id": "<string>",
"preview_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
binding_api_name: '<string>',
display_name: '<string>',
document: '<string>',
ontology_release: {
manifest_digest: '<string>',
ontology_id: '<string>',
release: '<string>',
release_id: '<string>'
},
workspace_id: '<string>',
preview_id: '<string>'
})
};
fetch('https://api.atlan.com/ontology_binding/v1/imports/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/ontology_binding/v1/imports/apply"
payload = {
"binding_api_name": "<string>",
"display_name": "<string>",
"document": "<string>",
"ontology_release": {
"manifest_digest": "<string>",
"ontology_id": "<string>",
"release": "<string>",
"release_id": "<string>"
},
"workspace_id": "<string>",
"preview_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"binding_id": "<string>",
"created_count": 1
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "graph_limit_exceeded",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}